import { scaleOrdinal } from 'd3';


const colorScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range(['darkred', 'orange']);

const rScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range([50, 15]);

const xPosition = (a, i) => i * 120 + 60;

export const fruitBowl = (selection, {fruits, height}) => {
  
  const bowl = selection.selectAll('rect')
  							.data([null])
  							.enter().append('rect')
                  .attr('y', 100)
                  .attr('rx', 100)
                  .attr('width', 700)
                  .attr('height', 300)
  
   
	const groups = selection.selectAll('g')
  			.data(fruits, d => d.id);
  const groupEnter = groups.enter().append('g')
  					
	groupEnter.merge(groups)
      .transition()
        .attr('transform', 
              (d, i) => `translate(${i * 120 + 60}, ${height/2})`)
  
	groups.exit()
  		.attr('r', 0)
      .remove();
  
  groupEnter.append('circle')
      	.attr('r', 0)
      .merge(groups.select('circle'))
        .attr('r', d => rScale(d.type))
        .attr('fill', d => colorScale(d.type));

  
  groupEnter.append('text')
		.merge(groups.select('text'))
  		.text(d => d.type)
  	
};


